git-svn-id: http://svn.calculate.ru/overlay@1201 c91db197-33c1-4113-bf15-f8a5c547ca64

atratsevskiy
ztime 15 years ago
parent 59977fa5a5
commit 42b05518ff

@ -1,31 +0,0 @@
#!/sbin/runscript
FS="binfmt_misc"
PROCBIN="/proc/sys/fs/${FS}"
checkconfig(){
grep -wq "^${FS} ${PROCBIN}" /proc/mounts || \
mount ${FS} -t ${FS} ${PROCBIN} || \
return 1
}
start(){
if ! checkconfig; then
eerror "Cannot load${FS}"
return 1
fi
ebegin "Starting wine"
echo -e ':windows:M::MZ::/usr/bin/wine:\n:windowsPE:M::PE::/usr/bin/wine:' >"${PROCBIN}/register"
eend $?
}
stop(){
ebegin "Stopping wine"
if [ -f ${PROCBIN}/windows -a -f ${PROCBIN}/windowsPE ]; then
echo '-1' >$PROCBIN/windows && echo '-1' >$PROCBIN/windowsPE
else
ewarn "Wine was stopped"
fi
eend $?
}

@ -1,14 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>wine-etersoft-public</herd>
<maintainer>
<email>johnrdoe63@cregion.ru</email>
<name>JohnRDoe63</name>
</maintainer>
<longdescription>
This package allows you to run many winodws applications in your *nix environment. It can be used either with your existing Windows instalation or without it.
Think of Wine as a compatibility layer for running Windows programs. Wine does not require Microsoft Windows, as it is a completely free alternative implementation of the Windows API consisting of 100% non-Microsoft code, however Wine can optionally use native Windows DLLs if they are available. Wine provides both a development toolkit for porting Windows source code to Unix as well as a program loader, allowing many unmodified Windows programs to run on x86-based Unixes, including Linux, FreeBSD, and Solaris.
</longdescription>
</pkgmetadata>

@ -1,144 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils flag-o-matic multilib
DESCRIPTION="MS Windows compatibility layer (WINE@Etersoft public edition)"
HOMEPAGE="http://etersoft.ru/wine"
SRC_URI="ftp://updates.etersoft.ru/pub/Etersoft/WINE@Etersoft/${PV}/sources/tarball/wine-etersoft-public-${PV}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="alsa arts cups dbus debug esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X cifs"
RESTRICT="nomirror"
RDEPEND=">=media-libs/freetype-2.0.0
!app-emulation/wine
cifs? ( >=app-emulation/etersoft-cifs-1.50c )
media-fonts/corefonts
ncurses? ( >=sys-libs/ncurses-5.2 )
jack? ( media-sound/jack-audio-connection-kit )
dbus? ( sys-apps/dbus )
hal? ( sys-apps/hal )
X? (
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXmu
x11-libs/libXxf86vm
x11-apps/xmessage
)
alsa? ( media-libs/alsa-lib )
esd? ( media-sound/esound )
nas? ( media-libs/nas )
cups? ( net-print/cups )
opengl? ( virtual/opengl )
jpeg? ( media-libs/jpeg )
ldap? ( net-nds/openldap )
lcms? ( media-libs/lcms )
xml? ( dev-libs/libxml2 dev-libs/libxslt )
>=media-gfx/fontforge-20060703
scanner? ( media-gfx/sane-backends )
amd64? (
>=app-emulation/emul-linux-x86-xlibs-2.1
>=app-emulation/emul-linux-x86-soundlibs-2.1
>=sys-kernel/linux-headers-2.6
)"
DEPEND="${RDEPEND}
X? (
x11-proto/inputproto
x11-proto/xextproto
x11-proto/xf86vidmodeproto
)
sys-devel/bison
sys-devel/flex"
pkg_setup() {
use alsa || return 0
if ! built_with_use --missing true media-libs/alsa-lib midi ; then
eerror "You must build media-libs/alsa-lib with USE=midi"
die "please re-emerge media-libs/alsa-lib with USE=midi"
fi
}
src_unpack() {
unpack ${A}
cd "${WORKDIR}"/wine-${PV}/
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
sed -i '/^MimeType/d' tools/wine.desktop || die #117785
}
config_cache() {
local h ans="no"
use $1 && ans="yes"
shift
for h in "$@" ; do
[[ ${h} == *.h ]] \
&& h=header_${h} \
|| h=lib_${h}
export ac_cv_${h//[:\/.]/_}=${ans}
done
}
src_compile() {
export LDCONFIG=/bin/true
use arts || export ac_cv_path_ARTSCCONFIG=""
use esd || export ac_cv_path_ESDCONFIG=""
use scanner || export ac_cv_path_sane_devel="no"
config_cache jack jack/jack.h
config_cache cups cups/cups.h
config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
config_cache nas audio/audiolib.h audio/soundlib.h
config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
config_cache ldap ldap.h lber.h
config_cache dbus dbus/dbus.h
config_cache hal hal/libhal.h
config_cache jpeg jpeglib.h
config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
config_cache lcms lcms.h
strip-flags
use amd64 && multilib_toolchain_setup x86
cd "${WORKDIR}"/wine-${PV}/
econf \
CC=$(tc-getCC) \
--sysconfdir=/etc/wine \
--enable-opengl \
--with-x \
$(use_enable debug trace) \
$(use_enable debug) \
|| die "configure failed"
emake -j1 depend || die "depend"
emake all || die "all"
}
src_install() {
cd "${WORKDIR}"/wine-${PV}/
make DESTDIR="${D}" install || die
dodoc ANNOUNCE AUTHORS ChangeLog README
dodir /etc/init.d
make -C etersoft install DESTDIR=${D} prefix=/usr initdir=/etc/init.d sysconfdir=/etc
rm -f ${D}/wine{,.outformat}
rm -f ${D}/usr/bin/wine-glibc
dosym /usr/bin/wine-pthread /usr/bin/wine-glibc
cp "${FILESDIR}"/*.fon ${D}/usr/share/wine/fonts/
cp "${FILESDIR}"/*.ttf ${D}/usr/share/wine/fonts/
cp "${FILESDIR}"/wine.init ${WORKDIR}/wine
doinitd ${WORKDIR}/wine
}
pkg_postinst() {
elog "~/.wine/config is now deprecated. For configuration either use"
elog "winecfg or regedit HKCU\\Software\\Wine"
elog ""
elog "Use wine for initial user enviroment or wine --update."
}
Loading…
Cancel
Save